<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  $json = file_get_contents('php://input');
  $obj = json_decode($json, true);

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;

  // (A) NO data
  if (!isset($_GET["sld"]) ) {

    $error = array('error' => 'something went wrong');
    exit( json_encode($error) ); 

  }

  if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

    $jwt = substr(getallheaders()["Authorization"], 7);

    //Decoding data
    $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

    if(!isset($decodeToken)){

      exit(json_encode(array("error" => "unauthorised") ));

    }

    //view all sales information

    if (@$_GET['sld'] != "") {

      @$soldProId = mysql_prep($_GET['sld']);

      $soldProSet = find_sold_product_by_id($soldProId);

      if(!$soldProSet){

        $error = array('saleDetails' => 'something went wrong');
        exit(json_encode($error));
      } 

      //sales details
      $saleDetails = array("saleDetails" => $soldProSet);

      exit(json_encode($saleDetails));
    
    }  

  
  }else{

    exit(json_encode(array("error" => "unauthorised") ));
  }





